Bug 66797 - Xv video driver freezes X server
Summary: Xv video driver freezes X server
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 82779
TreeView+ depends on / blocked
 
Reported: 2002-06-16 23:26 UTC by Eric Jones
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 08:01:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86 server log file (26.26 KB, text/plain)
2002-06-18 23:31 UTC, Eric Jones
no flags Details
XFree86 config file #1 (2.09 KB, text/plain)
2002-06-18 23:32 UTC, Eric Jones
no flags Details
XFree86 config file #2 (13.16 KB, text/plain)
2002-06-18 23:32 UTC, Eric Jones
no flags Details

Description Eric Jones 2002-06-16 23:26:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
Using the KDE video players, XINE with the Xv video driver, or XMMS to play
mpg's, the X server locks up and is unresponsive to mouse and keyboard input. 
Changing XINE to use the Xshm video driver fixes the problem under XINE but at a
performance cost.  Happens immediately after trying to resize the video.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start movie playback in your favorite application (XINE)
2.Resize the video, or try to go to full screen
3.Suffer
	

Actual Results:  Locked X Windows and had to hard reboot.

Expected Results:  Video should have scaled and allowed full screen full frame
rate video

Additional info:

Problem is confirmed on any system running an ATI Rage 128 graphics processor,
unknown for other chipsets.

Comment 1 Mike A. Harris 2002-06-18 20:56:08 UTC
Please attach X server log and config file using the link below.

Comment 2 Eric Jones 2002-06-18 23:31:49 UTC
Created attachment 61504 [details]
XFree86 server log file

Comment 3 Eric Jones 2002-06-18 23:32:33 UTC
Created attachment 61505 [details]
XFree86 config file #1

Comment 4 Eric Jones 2002-06-18 23:32:50 UTC
Created attachment 61506 [details]
XFree86 config file #2

Comment 5 Mike McLean 2003-01-02 19:57:38 UTC
This bug has been inappropriately marked MODIFIED. Please review the bug life
cycle information at 
http://bugzilla.redhat.com/bugzilla/bug_status.cgi

Changing bug status to ASSIGNED.

Comment 6 Mike A. Harris 2003-02-06 00:37:47 UTC
Sorry for the delay, however when you last updated the report, you put it
into the resolved-awaiting-fix MODIFIED state, so it never got looked at
until recently when one of our engineers went through all MODIFIED bugs
trying to find ones that users wrongly changed the state to MODIFIED on.

This problem on Rage 128 is believed to be fixed in XFree86 4.2.1-11 for
Red Hat Linux 8.0, and also in rawhide XFree86.  Can you test the 4.2.1-11
packages out in Red Hat Linux 8.0, or test the latest Red Hat Linux beta
release and provide updated feedback here?

Thanks in advance.



Comment 7 Mike A. Harris 2004-01-29 08:01:43 UTC
Closing as CURRENTRELEASE, assuming lack of response means it works
properly now.  If problems persist in Fedora Core 1 or RHEL 3, please
file a bug report upstream at http://bugs.xfree86.org and post the
URL here, and reopen this report and I will track it.




Note You need to log in before you can comment on or make changes to this bug.